MONGOC_URI_GET_SRV_HOSTNAME(3)

NAME
mongoc_uri_get_srv_hostname - mongoc_uri_get_srv_hostname()

SYNOPSIS

        const char *
        mongoc_uri_get_srv_hostname (const mongoc_uri_t *uri);

PARAMETERS

    •   uri: A mongoc_uri_t.

DESCRIPTION

Returns the SRV host and domain name of a MongoDB URI.

RETURNS

A string if this URI's scheme is "mongodb+srv://", or NULL if the scheme is "mongodb://".

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc